## libwlocate 0.0git20130108

=== Makefile ===
DBGFLAGS = -O2 -g0 -DNDEBUG
STRIP=strip
ifeq ($(DEBUG),1)
DBGFLAGS = -O0 -g3
STRIP=ls -al
endif

CC      = gcc
CFLAGS  = -Wall $(DBGFLAGS) -DENV_LINUX -D_REENTRANT -DNDEBUG -L/usr/lib -L/usr/local/lib/ -I.

LDFLAGS  = -L. -lwlocate -lm

PNAME=lwtrace

OBJ = trace.o
SRC = trace.c

all: $(OBJ)
	$(CC) $(CFLAGS) -o $(PNAME) $(OBJ) $(LDFLAGS)
	$(STRIP) $(PNAME)

clean:
	rm -f *.o
	rm -f $(PNAME)

=== locdemo/Makefile ===
PROGRAM = LocDemo

INCLUDEDIRS = -I/usr/X11R6/include -I.. $(shell wx-config --cflags) $(shell pkg-config gtk+-2.0 --cflags)

LIBDIRS = -L/usr/X11R6/lib -L/usr/lib

LIBS = $(shell wx-config --libs) -lwlocate

DBGFLAGS = -O2 -g0 -DNDEBUG
STRIP=strip
ifeq ($(DEBUG),1)
DBGFLAGS = -O0 -g3 -DNOSPLASH
STRIP=ls -al
endif

CXXSOURCES = LocDemoApp.cpp LocDemoWin.cpp

CXXOBJECTS = $(CXXSOURCES:.cpp=.o)
CXXFLAGS = -Wall -DESRI_UNIX -DENV_LINUX $(INCLUDEDIRS) $(DBGFLAGS)
CXX = g++

LDFLAGS = $(LIBDIRS) $(LIBS)

all: $(PROGRAM)

$(PROGRAM): $(CXXOBJECTS)
	$(CXX) -o $@ $(CXXOBJECTS) $(LDFLAGS)
	$(STRIP) $(PROGRAM)

clean:
	$(RM) -f $(CXXOBJECTS) $(PROGRAM)

=== wlocd/Makefile ===
PROGRAM = wlocd

INCLUDEDIRS = -I/usr/X11R6/include -I..

LIBDIRS = -L/usr/X11R6/lib -L/usr/lib

LIBS = -lwlocate

DBGFLAGS = -O2 -g0 -DNDEBUG
ifeq ($(DEBUG),1)
DBGFLAGS = -O0 -g3 -DNOSPLASH
endif

CXXSOURCES = main.cpp

CXXOBJECTS = $(CXXSOURCES:.cpp=.o)
CXXFLAGS = -Wall -DESRI_UNIX -DENV_LINUX $(INCLUDEDIRS) $(DBGFLAGS)
CXX = g++

LDFLAGS = $(LIBDIRS) $(LIBS)

all: $(PROGRAM)

$(PROGRAM): $(CXXOBJECTS)
	$(CXX) -o $@ $(CXXOBJECTS) $(LDFLAGS)
	strip $(PROGRAM)

clean:
	$(RM) -f $(CXXOBJECTS) $(PROGRAM)

=== wlocserv/Makefile ===
PROGRAM = wlocserv

INCLUDEDIRS = -I.. -Iliboapc/ -I/opt/include/ -I../../../OpenAPC/liboapc/ -I../../../OpenAPC/plugins -I../../../
#$(shell wx-config --cflags) $(shell pkg-config gtk+-2.0 --cflags)


LIBDIRS = \
	-L/usr/lib/mysql -L/usr/lib -L/opt/lib

LIBS = \
	 -loapc -lmysqlclient
#$(shell wx-config --libs)

DBGFLAGS = -O2 -g0
ifeq ($(DEBUG),1)
DBGFLAGS = -O0 -g3 -D_DEBUG
endif

CXXSOURCES = wlocservInc.cpp

CXXOBJECTS = $(CXXSOURCES:.cpp=.o)
CXXFLAGS = -Wall -DESRI_UNIX -DENV_LINUX $(INCLUDEDIRS) $(DBGFLAGS)
CXX = g++

LDFLAGS = $(LIBDIRS) $(LIBS)

all: $(PROGRAM)

$(PROGRAM): $(CXXOBJECTS)
	$(CXX) -o $@ $(CXXOBJECTS) $(LDFLAGS)
	strip $(PROGRAM)

clean:
	$(RM) -f $(CXXOBJECTS) $(PROGRAM)

=== debian/changelog ===
libwlocate (0.0git20130108-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:53:12 +0000

libwlocate (0.0git20130108-0ubuntu3) noble; urgency=high

  * No change rebuild against libiw30t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:38:38 +0100

libwlocate (0.0git20130108-0ubuntu2) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:48:16 +0000

libwlocate (0.0git20130108-0ubuntu1) raring; urgency=low

  * Initial release
  * Remove CGI/ directory, non-free licence

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jan 2013 11:42:14 +0000

=== debian/control ===
Source: libwlocate
Priority: extra
Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), libiw-dev
Standards-Version: 3.9.4
Section: libs
Homepage: http://www.openwlanmap.org

Package: libwlocate-dev
Section: libdevel
Architecture: any
Depends: libwlocate0 (= ${binary:Version}), ${misc:Depends}
Description: Library for doing location lookup based on free openwlanmap.org data
 This library accesses the local WLAN-hardware, checks for
 WLAN-networks that are available, accesses the database and returns
 the current geographic position or an error code in case localisation
 failed
 .
 This package contains the development files.

Package: libwlocate0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for doing location lookup based on free openwlanmap.org data
 This library accesses the local WLAN-hardware, checks for
 WLAN-networks that are available, accesses the database and returns
 the current geographic position or an error code in case localisation
 failed
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 

override_dh_auto_configure:
	make -f Makelib

override_dh_auto_clean:
	make -f Makelib clean
	rm -f *.o
	rm -f lwtrace
